SOAPYSDRUTIL(1)

NAME
SoapySDRUtil - query and change module information of SoapySDR

SYNOPSIS
SoapySDRUtil [OPTIONS]

DESCRIPTION
SoapySDRUtil is a command line application that provides basic diagnostic utility for SoapySDR by printing installation information, available modules, discovered devices, and tests on instantiated devices.

OPTIONS

--info
    Print general information on the library, list all found hardware support modules and available factories.

--find[="SPEC"]
    Discover available devices, restricted to those matching the SPEC if given. If no matching devices are found it will exit with exit status 1.

--make[="SPEC"]
    Open and close device matching SPEC if possible. If SPEC is not given, the first discovered device is opened.

--probe[="SPEC"]
    Show detailed information on all devices or the devices matching SPEC if given.

--check=NAME
    Check and print if driver module named NAME is present. If it is not found it will exit with exit status 1.

HOMEPAGE
SoapySDRUtil is part of the SoapySDR project (https://github.com/pothosware/SoapySDR/wiki).

AUTHORS
The SoapySDR library, including SoapySDRUtil, was written mostly by Josh Blum (josh@pothosware.com).